Rights.Right (JavaMail API documentation)
Date: 2018-05-06

com.sun.mail.imap

## Class Rights.Right

- java.lang.Object
- - com.sun.mail.imap.Rights.Right

- Enclosing class:
    Rights

      public static final class Rights.Right
      extends java.lang.Object

  This inner class represents an individual right. A set of standard rights objects are predefined here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Rights.Right` | `ADMINISTER` Administer - perform SETACL.
    `static Rights.Right` | `CREATE` Create - CREATE new sub-mailboxes in any implementation-defined hierarchy, RENAME or DELETE mailbox.
    `static Rights.Right` | `DELETE` Delete - STORE \DELETED flag, perform EXPUNGE.
    `static Rights.Right` | `INSERT` Insert - perform APPEND, COPY into mailbox.
    `static Rights.Right` | `KEEP_SEEN` Keep seen/unseen information across sessions - STORE \SEEN flag.
    `static Rights.Right` | `LOOKUP` Lookup - mailbox is visible to LIST/LSUB commands.
    `static Rights.Right` | `POST` Post - send mail to submission address for mailbox, not enforced by IMAP4 itself.
    `static Rights.Right` | `READ` Read - SELECT the mailbox, perform CHECK, FETCH, PARTIAL, SEARCH, COPY from mailbox
    `static Rights.Right` | `WRITE` Write - STORE flags other than \SEEN and \DELETED.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Rights.Right` | `getInstance(char right)` Get a Right object representing the specified character.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP

          public static final Rights.Right LOOKUP

      Lookup - mailbox is visible to LIST/LSUB commands.

    - #### READ

          public static final Rights.Right READ

      Read - SELECT the mailbox, perform CHECK, FETCH, PARTIAL, SEARCH, COPY from mailbox

    - #### KEEP_SEEN

          public static final Rights.Right KEEP_SEEN

      Keep seen/unseen information across sessions - STORE \SEEN flag.

    - #### WRITE

          public static final Rights.Right WRITE

      Write - STORE flags other than \SEEN and \DELETED.

    - #### INSERT

          public static final Rights.Right INSERT

      Insert - perform APPEND, COPY into mailbox.

    - #### POST

          public static final Rights.Right POST

      Post - send mail to submission address for mailbox, not enforced by IMAP4 itself.

    - #### CREATE

          public static final Rights.Right CREATE

      Create - CREATE new sub-mailboxes in any implementation-defined hierarchy, RENAME or DELETE mailbox.

    - #### DELETE

          public static final Rights.Right DELETE

      Delete - STORE \DELETED flag, perform EXPUNGE.

    - #### ADMINISTER

          public static final Rights.Right ADMINISTER

      Administer - perform SETACL.

  - ### Method Detail

    - #### getInstance

          public static Rights.Right getInstance(char right)

      Get a Right object representing the specified character. Characters are assigned per RFC 2086.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.